//
// Created by sebastian on 05.08.26.
//

#ifndef COLORRACE_DICESOURCE_H
#define COLORRACE_DICESOURCE_H
#include <random>


namespace ludo {
    class IDiceSource {
    public:
        virtual ~IDiceSource() = default;
        virtual int roll() = 0;
    };

    class RandomDiceSource : public IDiceSource {
    public:
        int roll() override;
    private:
        std::mt19937 m_generator{std::random_device{}()};
    };
}


#endif //COLORRACE_DICESOURCE_H
